Ubuntu中Wacom绘图板的安装

在Windows系统上Wacom Bamboo的安装非常简便,即便是64位的Windows 7,也是驱动一上立马搞定。

但在ubuntu 9.10上,安装起来就费事得多。驱动、内核编译,手工修改udev的配置。結果是一败而归,再败,再再败。最后就放弃了。前一段时间又不用不上它,所以没有什么影响。

这几天受到Ubuntu 10.04 beta的折磨,虽然经过了几天晚眠之夜,但是收获还是非常丰富的。其中之一主是这个驱动。不过最重要的不是9.10或10.04,而是新升级的wacom开源驱动确实很容易就识别了这支461。

以下是安装方法:
[code language=”bash”]
sudo apt-get update
sudo apt-get install wacom-tools xserver-xorg-input-wacom
sudo apt-get install libhal-dev libxrandr-dev
sudo apt-get build-dep xserver-xorg-input-wacom
[/code]

然后下载头文件(不明白为什么这个文件会不自动安装呢?):
[code language=”bash”]
wget http://kernel.ubuntu.com/git-repos/ubuntu/linux-2.6/drivers/hid/hid-ids.h
sudo cp ./hid-ids.h /lib/modules/`uname -r`/build/drivers/hid/hid-ids.h
[/code]

下载新驱动,解压源代码,我下载的是0.8.6。

编译安装:
[code language=”bash”]
make clean
make distclean
./configure –enable-wacom –prefix=/usr
make
sudo make install
sudo cp src/2.6.27/wacom.ko /lib/modules/$(uname -r)/kernel/drivers/input/tablet/
sudo depmod -a
[/code]

启用新驱动:
[code language=”bash”]
sudo modprobe -r wacom
sudo modprobe wacom
[/code]

如果仍有问题,修改/etc/X11/xorg.conf,增加Wacom支持。我是之前做的,所以这步没有验证过。

参考文章:
1. xorg.conf文件的修改方法
3. The Linux Wacom Project
4.

打赏

《Ubuntu中Wacom绘图板的安装》上有5条评论

  1. 2. 安装过程中可能会遇到找不到这个文件:libtinfo.so.5
    需要安装libncurses,然后手工建立ln。
    [code language=”bash”]
    sudo ln -s /usr/lib/libncurses.so.5 /usr/lib/libtinfo.so.5
    sudo ln -s /usr/lib/libtinfo.so.5 /usr/lib/libtinfo.so
    [/code]
    参考:Ncurses package does not contain libtinfo

    3. 10.04下直接到wacomlinux的源包里make是会出错的,需要
    [code language=”bash”]
    sudo apt-get install build-essential libx11-dev libxi-dev x11proto-input-dev xserver-xorg-dev tk8.4-dev tcl8.4-dev libncurses5-dev

    wget http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.8.6-1.tar.bz2

    tar -xf linuxwacom-0.8.6-1.tar.bz2
    cd linuxwacom-0.8.6-1
    ./configure –enable-wacom
    cd src/2.6.30/
    make
    sudo cp wacom.ko /lib/modules/`uname -r`/kernel/drivers/input/tablet/
    sudo rmmod wacom
    sudo modprobe wacom
    [/code]
    参考:[SOLVED] Configure Wacom Bamboo Pen Ubuntu 10.04

    4. trouble shooting
    WacomTroubleshooting

  2. Something I get from AskUbuntu. It really works on Ubuntu 10.10 amd64 version.(10.10 64位版本可用)

    You need to install the wacom-dkms package from my PPA

    https://launchpad.net/~doctormo/+archive/wacom-plus

    You can do this by using the following commands:

    sudo add-apt-repository ppa:doctormo/wacom-plus
    sudo apt-get update
    sudo apt-get install wacom-dkms
    

    There is also an updated xorg driver for lucid available in the same ppa to fix a bunch of issues in the LTS. Please don’t compile your drivers, seek help packaging them up instead so we can provide the driver

  3. 1、Ubuntu下新增PPA来源

    sudo add-apt-repository ppa:hughescih/ppa

    2、安装wacom-utility套件

    sudo apt-get update && sudo apt-get install wacom-utility

    3、安装完成后可从[系统]-[偏好设定]-[Wacom Control Panel]开启
    GIMP设定压力感应支持

    来源:http://www.linuxidc.com/Linux/2011-02/32307.htm

发表评论

电子邮件地址不会被公开。 必填项已用*标注